org.wildfly.swarm.infinispan

## Class InfinispanFraction

- java.lang.Object
- - org.wildfly.swarm.config.Infinispan<InfinispanFraction>
  - - org.wildfly.swarm.infinispan.InfinispanFraction

- All Implemented Interfaces:
    Fraction<InfinispanFraction>

      public class InfinispanFraction
      extends Infinispan<InfinispanFraction>
      implements Fraction<InfinispanFraction>

  Author:
    Lance Ball, Toby Crawley

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Infinispan

      `Infinispan.InfinispanResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InfinispanFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static InfinispanFraction` | `createDefaultFraction()`
    `boolean` | `isDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.Infinispan

      `addPropertyChangeListener, cacheContainer, cacheContainer, cacheContainer, cacheContainer, cacheContainers, getKey, removePropertyChangeListener, subresources`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### InfinispanFraction

          public InfinispanFraction()

  - ### Method Detail

    - #### applyDefaults

          public InfinispanFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<InfinispanFraction>`
      Returns:
        this fraction.

    - #### createDefaultFraction

          public static InfinispanFraction createDefaultFraction()

    - #### isDefaultFraction

          public boolean isDefaultFraction()

Copyright © 2018 JBoss by Red Hat. All rights reserved.